Bug 2063999 - No profiles are shown for any module streams
Summary: No profiles are shown for any module streams
Keywords:
Status: POST
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.10.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Samir Jha
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-14 20:50 UTC by Stephen Wadeley
Modified: 2022-09-13 03:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34760 0 Normal Closed Hide profiles for module streams since we no longer have that info indexed from pulp 2022-09-13 03:21:55 UTC
Github pulp pulp_rpm issues 2456 0 None closed Add profile information to modulemd endpoint 2022-09-13 03:21:51 UTC

Description Stephen Wadeley 2022-03-14 20:50:58 UTC
Description of problem:


No profiles are shown for any module streams



Version-Release number of selected component (if applicable):
RHEL 6.10.2

How reproducible:
every time

Steps to Reproduce:
1. Sync RHEL8 Appstream repo
2.   - WebUI --> Content --> Module Streams --> $stream --> Profiles tab --> 'No profiles to show'

Actual results:

# for id in $(hammer --username admin --password xxxx --no-headers module-stream list | awk {'print $1'}); do hammer --username admin --password xxxxx module-stream info --id $id | grep Profiles -A 1; done
~~~
Profiles:

Profiles:

Profiles:

Profiles:

Expected results:


# for id in $(hammer --username admin --password xxxx --no-headers module-stream list | awk {'print $1'}); do hammer --username admin --password xxxx module-stream info --id $id | grep Profiles -A 1; done
~~~
Profiles:           
 1) ID:   28
Profiles:           
 1) ID:   266
Profiles:           
 1) ID:   256
Profiles:           
 1) ID:   23


Additional info:
Copied from: https://bugzilla.redhat.com/show_bug.cgi?id=2050100#c8

Comment 3 Samir Jha 2022-04-12 12:43:31 UTC
Created redmine issue https://projects.theforeman.org/issues/34760 from this bug

Comment 4 Bryan Kearney 2022-04-14 20:04:53 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34760 has been resolved.

Comment 5 Samir Jha 2022-07-21 17:41:31 UTC
We're tracking https://bugzilla.redhat.com/show_bug.cgi?id=2109634 to add these fields back to module streams and that is targetted currently to 6.11.z. We can untriage this and follow up on the other BZ and make sure we fix this behavior, instead of hiding it on the UI.


Note You need to log in before you can comment on or make changes to this bug.